# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KHTMLPartBrowserExtension Class Reference

This is the BrowserExtension for a KHTMLPart document. More...

`#include <khtml_ext.h>`

Inheritance diagram for KHTMLPartBrowserExtension:

[legend]
Collaboration diagram for KHTMLPartBrowserExtension:

[legend]
List of all members.

## Public Slots

void | cut ()
void | copy ()
void | paste ()
void | searchProvider ()
void | openSelection ()
void | reparseConfiguration ()
void | print ()
void | updateEditActions ()

## Signals

void | editableWidgetFocused ()
void | editableWidgetBlurred ()

## Public Member Functions

| KHTMLPartBrowserExtension (KHTMLPart *parent, const char *name=0L)
virtual int | xOffset ()
virtual int | yOffset ()
virtual void | saveState (QDataStream &stream)
virtual void | restoreState (QDataStream &stream)
void | editableWidgetFocused (QWidget *widget)
void | editableWidgetBlurred (QWidget *widget)
void | setExtensionProxy (KParts::BrowserExtension *proxyExtension)

## Friends

class | KHTMLPart
class | KHTMLView

## Detailed Description

This is the BrowserExtension for a KHTMLPart document.

Please see the KParts documentation for more information about the BrowserExtension.

Definition at line 41 of file khtml_ext.h.

The documentation for this class was generated from the following files:

- khtml_ext.h
- khtml_ext.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003